API Reference
Exchange Rates
2 endpoints· Auth: JWT or API Key
get
/api/v1/console/exchange-rates JWT API KeyGet exchange-rates
Query parameters
| FromCurrencyCode string | — |
| ToCurrencyCode string | — |
| RateType ExchangeRateType | — |
| InForceOnly boolean | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/exchange-rates" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/exchange-rates JWT API KeyCreate exchange-rates
Request body
application/json
{
"fromCurrencyCode": "string",
"toCurrencyCode": "string",
"rateType": "Spot",
"rate": 0,
"validFrom": "2026-09-30T18:07:54.532Z",
"source": "string"
}| fromCurrencyCode string | — |
| toCurrencyCode string | — |
| rateType ExchangeRateType | — |
| rate number (double) | — |
| validFrom string (date-time) | — |
| source string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/exchange-rates" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"fromCurrencyCode": "string",
"toCurrencyCode": "string",
"rateType": "Spot",
"rate": 0,
"validFrom": "2026-09-30T18:07:54.531Z",
"source": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu